Skip to main content
GET
/
verify-consent
/
{ck}
Verify Consent
curl --request GET \
  --url https://api.central.consent/verify-consent/{ck}
{
  "response": {
    "resource": "/<request-end-point-path>",
    "response-time-stamp": "2027-11-10T17:07:01.580Z",
    "transaction-id": "tid_691df0c788ca043403b7fa90"
  },
  "data-type": [
    "HH-CONSUMPTION"
  ],
  "duid": "duid_691df0c788ca043403b7fa90",
  "consent-expiry": "2027-11-10T17:07:01.580Z",
  "evidence": {
    "consent-date": "2023-11-07T05:31:56Z",
    "user-defined-reference": "<string>",
    "terms-url": "https://mycompany.com/consumer-terms-and-conditions-v2.html",
    "consent-expiry": "2027-11-10T17:07:01.580Z",
    "mpxn": "<string>",
    "method": "Credit Card Verification",
    "address": {
      "addressLine1": "221B Baker Street",
      "townCity": "London",
      "postcode": "NW1 6XE",
      "addressLine2": "Marylebone",
      "county": "Greater London"
    }
  }
}

Path Parameters

ck
string
required

Unique token that relates to an individual consent registration

Example:

"ck_691df0c788ca043403b7fa90"

Response

Consent verification success.

response
object
required

Metadata about the response.

data-type
enum<string>[]
required

Types of data that consent has been registered for

Available options:
HH-CONSUMPTION,
HH-EXPORT,
MTH-CONSUMPTION,
MTH-EXPORT,
ANNUAL-CONSUMPTION,
ANNUAL-EXPORT,
TARIFF-IMPORT,
TARIFF-EXPORT
duid
string
required

Id that represents the Data User (organisation that has gained consent)

Example:

"duid_691df0c788ca043403b7fa90"

Date/time stamp of when the consumer consent expires. Null for consent without an end date

Example:

"2027-11-10T17:07:01.580Z"

evidence
object

information required to demonstrate consent was gained appropriately.